Tenant

Retrieve current configurations

get

Get detailed properties for current tenant.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

OK

application/json
idall ofOptional

The unique ID of tenant.

stringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
namestring · min: 1 · max: 1024Optional

The name of the tenant.

domainstring · min: 1 · max: 280Optional

The SIP domain of tenant.
It is usually a fully qualified domain name (FQDN). If there is no FQDN, you can also use the IP address of the PBX server as the SIP domain. The SIP domain name is only used for SIP message authentication and does not require analysis.

websitestring · max: 255Optional

The official website of tenant.

timezoneall ofOptional

Timezone for tenant.

stringOptional

The IANA Time Zone names, such as "Asia/Shanghai".

currencystringOptional

The Currency code (ISO 4217).

Example: USD
regionstringOptional

A valid country code based on iso3166-1 alpha-3 standard. see: https://www.iso.org/iso-3166-country-codes.html

enable_video_recordingbooleanOptional

Allow extension video recording.

Default: false
enable_audio_recordingbooleanOptional

Allow extension audio recording.

Default: false
enable_dual_track_recordingbooleanOptional

Allow dual track recording for calls.

Default: false
enable_billingbooleanOptional

Enable call billing or not.

Default: false
enable_feature_billingbooleanOptional

Enable call billing feature or not.

Default: false
enable_feature_call_statisticsbooleanOptional

Enable call statistics feature or not.

Default: true
enable_feature_contact_centerbooleanOptional

Enable contact center feature or not.

Default: true
enable_feature_message_channelsbooleanOptional

Enable message channels feature or not.

Default: true
enable_feature_microsoft_teamsbooleanOptional

Enable Microsoft Teams feature or not.

Default: true
enable_feature_trunksbooleanOptional

Enable trunks feature or not.

Default: true
enable_feature_whats_appbooleanOptional

Enable WhatsApp feature or not.

Default: true
custom_optionsstringOptional

Some custom configuration options serialized as json string

max_extensionsinteger · int32Optional

The maximum number of users that the tenant is allowed to create.

Default: 1000
max_concurrent_callsinteger · int32Optional

The maximum number of concurrent calls that the tenant is allowed to have.

Default: 20
max_ring_groupsinteger · int32Optional

The maximum number of ring groups that the tenant is allowed to create.

Default: 20
max_virtual_receptionistsinteger · int32Optional

The maximum number of virtual receptionists that the tenant is allowed to create.

Default: 20
max_call_queuesinteger · int32Optional

The maximum number of call queues that the tenant is allowed to create.

Default: 20
max_conference_roomsinteger · int32Optional

The maximum number of conference rooms that the tenant is allowed to be online at the same time.

Default: 20
disk_quotastringOptional

The maximum size of disk space that the tenant is allowed to have.
Specify a positive number and specify the unit at the same time, KB, MB, GB, PB are all allowed.
For example: 100MB, 1000GB. Leave it empty, means unlimited.

Default: ""
used_disk_quotastringOptional

The used disk quota, an number followed by unit (KB, MB, GB, PB).

im_disk_quotastringOptional

The maximum size of disk space that the tenant is allowed to have for IM service.
Specify a positive number and specify the unit at the same time, KB, MB, GB, PB are all allowed.
For example: 100MB, 1000GB. Leave it empty, means unlimited.

Default: ""
extension_im_disk_quotastringOptional

The maximum size of disk space that the extension user is allowed to have for IM service.
Specify a positive number and specify the unit at the same time, KB, MB, GB, PB are all allowed.
For example: 100MB, 1000GB. Leave it empty, means unlimited.

Default: 1GB
recording_retentioninteger · int32 · min: 1Optional

The retention period in days of recordings.

Default: 180
call_report_retentioninteger · min: 1Optional

The retention period in days of call report files.

Default: 30
log_retentioninteger · min: 1Optional

The retention period in days of audit logs and event logs.

Default: 180
temp_file_retentioninteger · min: 1Optional

The retention period in days of temporary files.

Default: 30
contact_match_typestring · enumOptional

The match method of contact:
Can be either:

  • DISABLE: Disable match.
  • MATCH_EXACTLY: Match exactly.
  • MATCH_LENGTH: Match at least specified number of characters.
Default: MATCH_EXACTLYPossible values:
contact_match_lengthinteger · int32Optional

The matched length of characters when contact_match_type is MATCH_LENGTH.

contact_append_typestring · enumOptional

Method for adding Group, Queue or DID/DDI Names to Caller ID:
Can be either:

  • DISABLE: Do not add.
  • APPEND: Append names.
  • PREPEND: Prepend names.
Default: DISABLEPossible values:
contact_update_intervalinteger · uint32 · min: 1 · max: 43200Optional

The interval for synchronizing contacts from the server, in minutes.

Default: 720
avatar_file_namestringOptional

The name of the file.

avatar_file_sizeinteger · int64Optional

The file size in bytes.

Example: 0
avatar_file_urlstringRead-onlyOptional

The relative path to file url for file downloading.

Example: /api/blobs/WexWdABcd5D4PDgzTKV3gAAAEu00WcK
stir_shaken_certstringOptional

Content of this certificate file for STIR/SHAKEN support.

stir_shaken_keystringOptional

Content of this private certificate file for STIR/SHAKEN support.

get
/tenant

Update a tenant

post

Set tenant object that already exists.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestring · min: 1 · max: 1024Optional

The name of the tenant.

domainstring · min: 1 · max: 280Optional

The SIP domain of tenant.
It is usually a fully qualified domain name (FQDN). If there is no FQDN, you can also use the IP address of the PBX server as the SIP domain. The SIP domain name is only used for SIP message authentication and does not require analysis.

websitestring · max: 255Optional

The official website of tenant.

timezoneall ofOptional

Timezone for tenant.

stringOptional

The IANA Time Zone names, such as "Asia/Shanghai".

currencystringOptional

The Currency code (ISO 4217).

Example: USD
regionstringOptional

A valid country code based on iso3166-1 alpha-3 standard. see: https://www.iso.org/iso-3166-country-codes.html

enable_video_recordingbooleanOptional

Allow extension video recording.

Default: false
enable_audio_recordingbooleanOptional

Allow extension audio recording.

Default: false
enable_dual_track_recordingbooleanOptional

Allow dual track recording for calls.

Default: false
custom_optionsstringOptional

Some custom configuration options serialized as json string

recording_retentioninteger · int32 · min: 1Optional

The retention period in days of recordings.

Default: 180
call_report_retentioninteger · min: 1Optional

The retention period in days of call report files.

Default: 30
log_retentioninteger · min: 1Optional

The retention period in days of audit logs and event logs.

Default: 180
temp_file_retentioninteger · min: 1Optional

The retention period in days of temporary files.

Default: 30
extension_im_disk_quotastringOptional

The maximum size of disk space that the extension user is allowed to have for IM service.
Specify a positive number and specify the unit at the same time, KB, MB, GB, PB are all allowed.
For example: 100MB, 1000GB. Leave it empty, means unlimited.

Default: 1GB
contact_match_typestring · enumOptional

The match method of contact:
Can be either:

  • DISABLE: Disable match.
  • MATCH_EXACTLY: Match exactly.
  • MATCH_LENGTH: Match at least specified number of characters.
Default: MATCH_EXACTLYPossible values:
contact_match_lengthinteger · int32Optional

The matched length of characters when contact_match_type is MATCH_LENGTH.

contact_append_typestring · enumOptional

Method for adding Group, Queue or DID/DDI Names to Caller ID:
Can be either:

  • DISABLE: Do not add.
  • APPEND: Append names.
  • PREPEND: Prepend names.
Default: DISABLEPossible values:
contact_update_intervalinteger · uint32 · min: 1 · max: 43200Optional

The interval for synchronizing contacts from the server, in minutes.

Default: 720
avatar_file_idall ofOptional

The unique ID of the file.

stringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
stir_shaken_certstringOptional

Content of this certificate file for STIR/SHAKEN support.

stir_shaken_keystringOptional

Content of this private certificate file for STIR/SHAKEN support.

Responses
chevron-right
200

OK

No content

post
/tenant

No content